//===========================================================================
// package
//===========================================================================
package jp.gr.java_conf.bugslife.selections;

//===========================================================================
// import
//===========================================================================
// Java core API
import java.util.*;
import java.text.*;

// Util API
import jp.gr.java_conf.bugslife.util.*;
//import jp.gr.java_conf.bugslife.system.*;


/**
 *<PRE>
 * 
 * ISelectionクラス
 * 
 *</PRE>
 * @version	0.0, 2001/09/10
 * @author	鰐川　正寛
 */
//===========================================================================
public interface ISelection
{
//======================================
// db access methods
//======================================
	/**
	 *	insertDB
	 */
	public void insert(int updateUno);
	/**
	 *	update
	 */
	public void update(int updateUno);
	/**
	 *	delete
	 */
	public void delete(int updateUno);
	/**
	 *	load
	 */
	public void load();
//======================================
// request param
//======================================
	/**
	 *	request parametorの生成
	 */
	public Map getMapping();
//======================================
// Property
//======================================
	/**
	 * コードの取得
	 * 
	 * @return コード
	 */
	public String getCode();
	/**
	 * コードのセット
	 * 
	 * @param code コード
	 */
	public void setCode(String code);
	/**
	 * 名前の取得
	 * 
	 * @return 名前
	 */
	public String getName();
	/**
	 * 名前のセット
	 * 
	 * @param name 名前
	 */
	public void setName(String name);
	/**
	 * 略称の取得
	 * 
	 * @return 略称
	 */
	public String getShortName();
	/**
	 * 略称のセット
	 * 
	 * @param shortName 略称
	 */
	public void setShortName(String shortName);
	/**
	 * 略称の取得(文字列)
	 * 
	 * @return 略称
	 */
	public String getShortnameString();
	/**
	 * 説明の取得
	 * 
	 * @return 説明
	 */
	public String getInfo();
	/**
	 * 説明のセット
	 * 
	 * @param info 説明
	 */
	public void setInfo(String info);
	/**
	 * 更新者の取得
	 * 
	 * @return 更新者
	 */
	public int getUpdateUno();
	/**
	 * 更新者のセット
	 * 
	 * @param updateUno 更新者
	 */
	public void setUpdateUno(int updateUno);
	/**
	 *	更新日の取得
	 *
	 * @return	update		更新日文字列
	 */
	public Date getUpdateDate();
	/**
	 *	更新日の取得
	 *
	 * @return	update		更新日文字列
	 */
	public String getUpdateDateString();
	/**
	 *	更新日のセット
	 *
	 * @return	update		更新日文字列
	 */
	public void setUpdateDate(Date date);
}